Returns API keys that are expiring within the specified number of days.
curl --request GET \
--url https://api.strait.dev/v1/api-keys/expiring-soon \
--header 'Authorization: Bearer <token>'[
{
"created_at": "2023-11-07T05:31:56Z",
"days_left": 123,
"expires_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"key_prefix": "<string>",
"name": "<string>",
"no_expiry": true
}
]Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
curl --request GET \
--url https://api.strait.dev/v1/api-keys/expiring-soon \
--header 'Authorization: Bearer <token>'[
{
"created_at": "2023-11-07T05:31:56Z",
"days_left": 123,
"expires_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"key_prefix": "<string>",
"name": "<string>",
"no_expiry": true
}
]